/* General styles */
@page {
    margin: 2.5cm;
    size: A4 landscape;
}

details {
  border: 1px solid #aaa;
  border-radius: 4px;
  padding: 0.5em 0.5em 0;
}

summary {
  font-weight: bold;
  margin: -0.5em -0.5em 0;
  padding: 0.5em;
}

details summary { 
  cursor: pointer;
}

details[open] {
  padding: 0.5em;
}

details[open] summary {
  border-bottom: 1px solid #aaa;
  margin-bottom: 0.5em;
}





h1, h2, h3, h4, h5, h6 {
  page-break-inside: avoid !important;
  page-break-after: avoid !important;
}

html, body {
  height: 100%;
}

body {
  max-width: 1000px;
  margin: auto;
  font-family: sans-serif;
  font-size: 10pt;
  line-height: 1.5;
}

h1 {
  font-size: 22pt;
}

h1, h2, h3, h4, h5, h6 {
  color: #333;
}

a {
  color: #049;
}

.text-light {
  color: #868e96!important;
}

.text-muted {
  color: #AEA79F!important;
}

table {
  width: 100%;
}


/* Front page */

header {
  height: 25cm;
  position: relative;
}

header h1 {
  padding: 7rem 0 4rem 0;
}

header .dmp-data {
  margin-top: 5rem;
  width: 100%;
}

header .dmp-data td, header .dmp-data th {
  text-align: left;
  padding: 0.5rem 0;
}

header .dmp-data th {
  min-width: 9em;
}

header .dmp-data .project-tag {
  background-color: #6c757d;
  margin-bottom: 0.25rem;
}

header .tool-info {
  text-align: center;
  margin: 0;
  padding-top: 2rem;
  color: #868e96;
  position: absolute;
  bottom: 0;
  width: 100%;
}

header .tool-info svg {
  height: 3rem;
  display: block;
  margin: auto;
}


/* Total report section */

.total-report {
  page-break-after: always;
}


/* Metrics and indications report */

.report {
  margin-top: 1rem;
  margin-bottom: 3rem;
  background: #eee;
  border-radius: .5rem;
  padding: 1rem;
}

.report h3 {
  margin-top: 0;
}

.report table {
  border-spacing: 0 .5rem;
}

.report .metrics {
  margin-top: 1rem;
}

.report .metrics table th {
  text-align: left;
  padding: 0;
}

.report .table-label {
  width: 40%;
}

.report .progress-cell {
  width: 50%;
}

.report .progress {
  position: relative;
  height: .75rem;
  background: #ddd;
  border-radius: .25rem;
}

.report .progress-fill {
  position: absolute;
  left: 0;
  height: 100%;
  background: #17a2b8;
  border-radius: .25rem;
}

.report .progress-fill.bg-value-100 {
  background:#28a745;
}

.report .progress-fill.bg-value-90 {
  background:#53ac39;
}

.report .progress-fill.bg-value-80 {
  background:#7eb12c;
}

.report .progress-fill.bg-value-70 {
  background:#a9b720;
}

.report .progress-fill.bg-value-60 {
  background:#d4bc13;
}

.report .progress-fill.bg-value-50 {
  background:#ffc107;
}

.report .progress-fill.bg-value-40 {
  background:#f8a513;
}
  
.report .progress-fill.bg-value-30 {
  background:#f18920;
}

.report .progress-fill.bg-value-20 {
  background:#ea6d2c;
}

.report .progress-fill.bg-value-10 {
  background:#e35139;
}

.report .progress-fill.bg-value-0 {
  background:#dc3545;
}


/* Chapter */

.chapter {
  page-break-before: always;
  margin-bottom: 5rem;
}


/* Question */

.question:not(:last-child) {
  padding-bottom: 3rem;
}

.answer-item:not(:last-child) {
  margin-bottom: 3rem;
}

.question, .answer-item {
  border-left: 5px solid #eee;
  padding-left: 1rem
}

.followups {
  margin-top: 2rem;
}

.answer-item > .followups > .question, .questions > .question {
  border: none;
  padding-left: 0;
}

.question-header h4 {
  margin-top: 0;
  margin-bottom: 0.5rem;
  font-weight: bold;
  background: #eee;
  padding: 1rem;
  border-radius: 0.5rem;
}

.question .title .human-identifier {
  display: block;
  margin-bottom: 0.25rem;
  font-size: 8pt;
}

.question .question-header {
  page-break-inside: avoid;
}

.question .tag,
.dmp-data .tag {
  padding: .125rem 0.5rem;
  color: #fff;
  font-size: 8pt;
  font-weight: bold;
  border-radius: 0.25rem;
  margin-right: 0.25rem;
}

.question .text {
  margin-top: 0;
  margin-bottom: 0.75rem;
  color: #6c757d;
  page-break-inside: avoid !important;
}

.question > .extra-data {
  margin-bottom: 0.75rem;
  color: #6c757d;
}

.question b {
  font-weight: normal;
}

.advice {
  background: #d1ecf1;
  padding: 1rem;
  border-radius: 0.5rem;
  color: #0c5460;
  margin: 1rem 0;
}

.advice > *:first-child {
  margin-top: 0;
}

.advice > *:last-child {
  margin-bottom: 0;
}


/* Experts and references */

.experts, .references {
  color: #868e96;
  line-height: 1.5;
}

.experts b, .reference b,
.experts a, .reference a {
  vertical-align: middle;
}

.experts svg, .references svg {
  width: 13px;
  height: 14px;
  margin-right: 7px;
  vertical-align: middle;
  color: #495057;
}

.expert::after, .reference::after {
  content: ",";
}

.expert:last-of-type::after, .reference:last-of-type::after {
  content: " ";
}


/* Answers */

.choices-list {
  list-style-type: none;
}

.choices-list .choice {
  display: flex;
  align-items: center;
}

.choices-list .choice.choice-unselected {
  color: gray;
}

.answer p, .no-answer p {
  margin: 0;
}

.answer-block .answer span {
  vertical-align: middle;
}

.answer-block .answer svg,
.no-answer svg,
.choice svg {
  height: 20px;
  width: 20px;
  margin-right: 0.3rem;
  vertical-align: middle;
}

.no-answer {
  font-style: italic;
}

.no-answer span {
  vertical-align: middle;
}

.question.required .no-answer {
  color: #D0021B;
}

.integration-link {
  display: flex;
  align-items: center;
}

.integration-link img {
  max-height: 2rem;
  margin-right: .5rem;
}

.metrics > p {
  font-style: italic;
  margin-top: 0;
}
